import * as $dara from '@darabonba/typescript';
import { DescribeRestorePlansResponseBody } from "./DescribeRestorePlansResponseBody";
export declare class DescribeRestorePlansResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeRestorePlansResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
